pinv = player.getInventory()

if(pinv.getItemInSlot(0) != null)
{
if(pinv.getItemInSlot(0).getItemID() != 268)
{
for(i=0;i<1;i++)
{
if(pinv.getItemInSlot(i) == null)
{
var pitem = pinv.getItemInSlot(0).copy();
pinv.emptySlot(0);
pinv.setSlot(i, item);
}
}
}
}
if (pinv.getSlotContainingItem(268) != -1)
{
if (pinv.getSlotContainingItem(268) != 0)
{
try
{
var count = pinv.getItemInSlot(0).getQuantity();
}
catch(e) { var count = 0; }
var item = pinv.getItemInSlot(pinv.getSlotContainingItem(268)).copy();
pinv.emptySlot(pinv.getSlotContainingItem(268));
if (count < 2)
{
if (item.getQuantity() + count <= 1)
{
item.setQuantity(item.getQuantity() + count);
}
else
{
item.setQuantity(1);
}
}
else
{
item.setQuantity(1);
}
pinv.setSlot(0, item);
}
}
